# BEGIN SourceDeps(oneline):
BuildRequires: perl(CHI.pm) perl(File/Spec.pm) perl(HTTP/Proxy.pm) perl(HTTP/Proxy/HeaderFilter/simple.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build.pm) perl(MooseX/App/Simple.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(Ubic.pm) perl(YAML/XS.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name App-Ringleader
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.1.0
Release: alt1
Summary: Proxy for sproradically-used web application
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/App-Ringleader/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Y/YA/YANICK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Ringleader is a proxy that will wake up psgi applications upon request 
and shut them down after a period of inactivity. It's meant to provide a
middle-ground between the slowliness of CGI and the constant resource
consumption of plack applications for services that are not often used.

Typically, you'll use it via the `ringleader' script.

Ringleader relies on the Ubic manpage to start and stop the services. For PSGI
applications, you probably want to define your services using
the Ubic::Service::Plack manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CONTRIBUTORS LICENSE AUTHOR_PLEDGE Changes README.mkdn README
%perl_vendor_privlib/A*
%_bindir/*
%_man1dir/*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1
- initial import by package builder

